import datetime,os,re
import log,skel

def levelsgen():
    if not os.path.isdir("build/levels"):
        os.mkdir("build/levels")
    if os.path.exists("build/levels/index.html"):
        os.remove("build/levels/index.html")
    thefile = "build/levels/index.html"
    skel.headerwrite(thefile,"levels")
    content = open(thefile,"a")
    content.write("<h1>levels</h1>\n")
    datecard = {}
    cardno = -1
    for event in log.log:
        try:
            for card in event["received"]:
                cardno += 1
                datecard[cardno] = event["date"]
        except:
            pass
    firstdate = log.log[0]["date"]
    content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/red.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + firstdate.strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/orange.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[100].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/yellow.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[200].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/green.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[300].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/blue.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[400].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/purple.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[500].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/brown.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[600].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/gray.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[700].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/strawberry.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[800].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/tangerine.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[1000].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/lemon.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[1200].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/lime.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[1400].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/blueberry.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[1600].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/grape.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[1800].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/apricot.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[2000].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/dragonfruit.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[2200].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/ruby.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[2400].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/amber.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[2700].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/gold.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[3000].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/emerald.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[3300].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/sapphire.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[3600].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/amethyst.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[3900].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/bronze.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[5200].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/silver.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[4500].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/sakura.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[4800].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/tigerlily.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[5100].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/daffodil.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[5400].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/clover.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[5700].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/hydrangea.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[6000].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/lilac.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[6300].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/chocolatecosmos.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[6600].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/magnolia.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[6900].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/mars.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[7200].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/saturn.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[7500].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/venus.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[7800].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/earth.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[8100].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/neptune.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[8400].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/uranus.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[8700].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/jupiter.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[9000].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/mercury.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[9300].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/fire.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[9600].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/wind.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[9900].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/light.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[10200].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/nature.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[10500].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/water.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[10800].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/darkness.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[11100].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/ground.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[11400].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/metal.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[11700].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/lion.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[12000].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/tiger.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[12300].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/cheetah.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[12600].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/panther.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[12900].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/russianblue.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[13200].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/chartreux.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[13500].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/puma.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[13800].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/himalayan.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[14100].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    try:
        content.write("<table class=\"level\">\n<tbody>\n<tr>\n<td align=\"center\"><img src=\"/assets/levels/rainbow.gif\"></td>\n</tr>\n<tr>\n<td align=\"center\"><code>" + datecard[14400].strftime("%Y-%m-%d") + "</code></td>\n</tr>\n</tbody>\n</table>\n")
    except:
        pass
    content.close()
    skel.footerwrite(thefile)

if __name__ == "__main__":
    levelsgen()
